---
title: Get a user resource type
slug: opti-id/api/get-a-user-resource-type
docTags: 
createdAt: 2026-10-01T19:58:50.958Z
---

{
  "id": "T2qeE9VZbZJeulE2tDc7I",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://identity-api.optimizely.com/api/scim/v2/resourcetypes/user",
    "servers": [
      {
        "url": "https://identity-api.optimizely.com/api/scim/v2/resourcetypes/user"
      }
    ],
    "name": "Get a user resource type",
    "description": "Retrieves information about user resource type supported by a SCIM service provider.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "apiToken_auth",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "The user resource type response.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "core2ResourceType",
            "schema": [
              {
                "name": "endpoint",
                "kind": "optional",
                "type": "string<uri>",
                "description": "",
                "format": "uri"
              },
              {
                "name": "meta",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/core2Metadata",
                "customType": "core2Metadata",
                "schema": [
                  {
                    "name": "resourceType",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "created",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "",
                    "format": "date-time"
                  },
                  {
                    "name": "lastModified",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "",
                    "format": "date-time"
                  },
                  {
                    "name": "version",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "location",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  }
                ]
              },
              {
                "name": "schema",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "externalId",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "id",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "schemas",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/core2ResourceType",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized access to endpoint.",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "<p>A server error occurred, please try again</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "core2Error",
            "schema": [
              {
                "name": "scimType",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              },
              {
                "name": "schemas",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/core2Error",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "CS4iJaQ_rK2U3qiPwZ2OU",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://identity-api.optimizely.com/api/scim/v2/resourcetypes/user \\\n     --header 'accept: application/json'"
        },
        {
          "id": "khLB56mK-7ksXfbkLts3f",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://identity-api.optimizely.com/api/scim/v2/resourcetypes/user\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "OEfaGMZxiDmyqHpMupPq4",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://identity-api.optimizely.com/api/scim/v2/resourcetypes/user\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "5szFozUaybDo8WwdHOnpm",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://identity-api.optimizely.com/api/scim/v2/resourcetypes/user\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "CS4iJaQ_rK2U3qiPwZ2OU"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// The user resource type response.\n{\n  \"endpoint\": \"\",\n  \"meta\": {\n    \"resourceType\": \"\",\n    \"created\": \"\",\n    \"lastModified\": \"\",\n    \"version\": \"\",\n    \"location\": \"\"\n  },\n  \"schema\": \"\",\n  \"externalId\": \"\",\n  \"id\": \"\",\n  \"schemas\": [\n    \"\"\n  ]\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Unauthorized access to endpoint.\n"
        },
        {
          "id": "response-2-500",
          "language": "500",
          "code": "// A server error occurred, please try again\n{\n  \"scimType\": \"\",\n  \"detail\": \"\",\n  \"status\": \"\",\n  \"schemas\": [\n    \"\"\n  ]\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}